# (c) 2026 NetBox Labs, Inc.
# Licensed under the NetBox Limited Use License v1.0
# https://netboxlabs.com/ndx/license
# Community DTL portions licensed under Apache 2.0:
# https://github.com/netbox-community/devicetype-library
---
manufacturer: Huawei
model: CE12808S
slug: huawei-ce12808s
part_number: CE12808S-AC
u_height: 17
is_full_depth: true
weight: 120.2
weight_unit: kg
airflow: front-to-rear
comments: '[Huawei CE12808S](https://e.huawei.com/en/products/switches/data-center-switches/ce12800)'
interfaces:
- name: MEth0/0/0
  type: 1000base-t
  mgmt_only: true
module-bays:
- name: LPU 1
  position: '1'
- name: LPU 2
  position: '2'
- name: LPU 3
  position: '3'
- name: LPU 4
  position: '4'
- name: LPU 5
  position: '5'
- name: LPU 6
  position: '6'
- name: LPU 7
  position: '7'
- name: LPU 8
  position: '8'
- name: MPU 1
  position: MPU1
- name: MPU 2
  position: MPU2
- name: SFU 1
  position: SFU1
- name: SFU 2
  position: SFU2
- name: SFU 3
  position: SFU3
- name: SFU 4
  position: SFU4
- name: SFU 5
  position: SFU5
- name: SFU 6
  position: SFU6
- name: PWR1
  position: PWR1
- name: PWR2
  position: PWR2
- name: PWR3
  position: PWR3
- name: PWR4
  position: PWR4
- name: PWR5
  position: PWR5
- name: PWR6
  position: PWR6
- name: PWR7
  position: PWR7
- name: PWR8
  position: PWR8
description: CloudEngine 12800 8-slot enhanced data center core switch
